# Generated by Django 3.0.3 on 2020-05-15 05:55

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('barang', '0002_auto_20200303_0410'),
        ('kupon', '0003_auto_20200305_1037'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='KeranjangBarang',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('active', models.BooleanField(default=True)),
                ('timestamp', models.DateTimeField(auto_now=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='KeranjangBarangTransaksi',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('keranjang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tk2.KeranjangBarang')),
                ('kupon', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='kupon.Kupon')),
            ],
        ),
        migrations.CreateModel(
            name='KeranjangBarangEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('jumlah', models.PositiveIntegerField()),
                ('barang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='barang.Barang')),
                ('keranjang', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='tk2.KeranjangBarang')),
            ],
        ),
    ]
